WorkflowLogEntry (Task Execution Logger 1.1.0-3.4.0 API)
Date: 2014-10-01

gr.uoa.di.madgik.taskexecutionlogger.model

## Class WorkflowLogEntry

- java.lang.Object
- - gr.uoa.di.madgik.taskexecutionlogger.model.WorkflowLogEntry

-     public class WorkflowLogEntry
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkflowLogEntry(String uid, String name, String type, String submitter, String status, Date startDate, String description, String scope)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEntry(LogEntryLevel level, String message)`
    `void` | `addEntry(TaskLogEntry entry)`
    `String` | `getAuthor()`
    `String` | `getDescription()`
    `Date` | `getEndDate()`
    `List<TaskLogEntry>` | `getEntries()`
    `String` | `getName()`
    `String` | `getScope()`
    `Date` | `getStartDate()`
    `String` | `getStatus()`
    `String` | `getSubmitter()`
    `String` | `getType()`
    `String` | `getUid()`
    `void` | `persistLog()`
    `void` | `setStatus(String status)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkflowLogEntry

          public WorkflowLogEntry(String uid,
                          String name,
                          String type,
                          String submitter,
                          String status,
                          Date startDate,
                          String description,
                          String scope)

  - ### Method Detail

    - #### addEntry

          public void addEntry(TaskLogEntry entry)

    - #### addEntry

          public void addEntry(LogEntryLevel level,
                      String message)

    - #### persistLog

          public void persistLog()

    - #### getUid

          public String getUid()

    - #### getName

          public String getName()

    - #### getAuthor

          public String getAuthor()

    - #### getStartDate

          public Date getStartDate()

    - #### getSubmitter

          public String getSubmitter()

    - #### getStatus

          public String getStatus()

    - #### setStatus

          public void setStatus(String status)

    - #### getEndDate

          public Date getEndDate()

    - #### getType

          public String getType()

    - #### getDescription

          public String getDescription()

    - #### getScope

          public String getScope()

    - #### getEntries

          public List<TaskLogEntry> getEntries()

Copyright © 2014. All Rights Reserved.